## org.apache.batik.dom.svg
Class SVGOMPoint

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMPoint

All Implemented Interfaces:
  org.w3c.dom.svg.SVGPoint

Direct Known Subclasses:
  SVGTextContentSupport.SVGTextPoint

    public class SVGOMPoint

extends java.lang.Object
implements org.w3c.dom.svg.SVGPoint

An implementation of `SVGPoint` that is not associated with any attribute.

Field Summary
`protected float` `x` The x coordinate.
`protected float` `y` The y coordinate.

Constructor Summary
`SVGOMPoint()` Creates a new SVGOMPoint with coordinates set to `0`.
`SVGOMPoint(float x, float y)` Creates a new SVGOMPoint with coordinates set to the specified values.

Method Summary
`float` `getX()` DOM: Implements `SVGPoint.getX()`.
`float` `getY()` DOM: Implements `SVGPoint.getY()`.
`org.w3c.dom.svg.SVGPoint` `matrixTransform(org.w3c.dom.svg.SVGMatrix matrix)` DOM: Implements `SVGPoint.matrixTransform(SVGMatrix)`.
`static org.w3c.dom.svg.SVGPoint` `matrixTransform(org.w3c.dom.svg.SVGPoint point, org.w3c.dom.svg.SVGMatrix matrix)` Transforms an `SVGPoint` by an `SVGMatrix` and returns the new point.
`void` `setX(float x)` DOM: Implements `SVGPoint.setX(float)`.
`void` `setY(float y)` DOM: Implements `SVGPoint.setY(float)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    protected float x

  The x coordinate.

### y

    protected float y

  The y coordinate.

Constructor Detail

### SVGOMPoint

    public SVGOMPoint()

  Creates a new SVGOMPoint with coordinates set to `0`.

### SVGOMPoint

    public SVGOMPoint(float x,
                      float y)

  Creates a new SVGOMPoint with coordinates set to the specified values.

Method Detail

### getX

    public float getX()

  DOM: Implements `SVGPoint.getX()`.

  Specified by:
    `getX` in interface `org.w3c.dom.svg.SVGPoint`

### setX

    public void setX(float x)
              throws org.w3c.dom.DOMException

  DOM: Implements `SVGPoint.setX(float)`.

  Specified by:
    `setX` in interface `org.w3c.dom.svg.SVGPoint`
  Throws:
    `org.w3c.dom.DOMException`

### getY

    public float getY()

  DOM: Implements `SVGPoint.getY()`.

  Specified by:
    `getY` in interface `org.w3c.dom.svg.SVGPoint`

### setY

    public void setY(float y)
              throws org.w3c.dom.DOMException

  DOM: Implements `SVGPoint.setY(float)`.

  Specified by:
    `setY` in interface `org.w3c.dom.svg.SVGPoint`
  Throws:
    `org.w3c.dom.DOMException`

### matrixTransform

    public org.w3c.dom.svg.SVGPoint matrixTransform(org.w3c.dom.svg.SVGMatrix matrix)

  DOM: Implements `SVGPoint.matrixTransform(SVGMatrix)`.

  Specified by:
    `matrixTransform` in interface `org.w3c.dom.svg.SVGPoint`

### matrixTransform

    public static org.w3c.dom.svg.SVGPoint matrixTransform(org.w3c.dom.svg.SVGPoint point,
                                                           org.w3c.dom.svg.SVGMatrix matrix)

  Transforms an `SVGPoint` by an `SVGMatrix` and returns the new point.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.